# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = vice
VERSION = 2.4

SHELL = /bin/sh


srcdir = .
top_srcdir = ..
top_builddir = ..
builddir = .


prefix = /usr
exec_prefix = ${prefix}
datadir = $(DESTDIR)$(prefix)/
localedir = $(DESTDIR)$(datadir)/locale
gnulocaledir = $(DESTDIR)$(prefix)/share/locale
gettextsrcdir = $(DESTDIR)$(prefix)/share/gettext/po
subdir = po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/

CC = gcc
GENCAT = 
GMSGFMT = PATH=../src:$$PATH 
MSGFMT = 
XGETTEXT = PATH=../src:$$PATH 
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O3  -Wstrict-prototypes -Wall -Wno-inline -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  da.po de.po es.po fr.po hu.po it.po ko.po nl.po pl.po ru.po sv.po tr.po
GMOFILES =  da.gmo de.gmo es.gmo fr.gmo hu.gmo it.gmo ko.gmo nl.gmo pl.gmo ru.gmo sv.gmo tr.gmo
DISTFILES = ChangeLog ChangeLog.1 Makefile.in.in POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES) po2tbl.sed intl2po.c \
gen_amiga_intl_c.c gen_translate_c.c gen_win32_rc.c po2table.c \
gen_win32_files.sh check_obsolete.sh translations-status.txt

POTFILES = \

CATALOGS = $(POFILES:%.po=%$(CATOBJEXT))
CATOBJEXT = 
INSTOBJEXT = 

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat .rc .rc.po.c .c.po.c

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(builddir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f $(srcdir)/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg

.rc.rc.po.c:
	./intl2po win32 $< $@ $(top_srcdir) $(top_builddir)

.c.c.po.c:
	./intl2po intl $< $@ $(top_srcdir) $(top_builddir)

all: all-no

all-yes: cat-id-tbl.c $(CATALOGS)
all-no:

$(builddir)/$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=$(top_srcdir) --directory=$(top_builddir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/POTFILES.in \
	  -o $(builddir)/vice.pot

$(builddir)/cat-id-tbl.c: $(builddir)/stamp-cat-id; @:
$(builddir)/stamp-cat-id: $(builddir)/$(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f $(srcdir)/po2tbl.sed $(builddir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(builddir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(builddir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(builddir)/cat-id-tbl.c; \
	fi
	cd $(builddir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-data: install-data-no
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp intl2po
	rm -fr *.o $(top_srcdir)/src/arch/win32/*.po.c $(top_srcdir)/src/arch/amiga/*.po.c

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile intl2po $(POTFILES)
	$(MAKE) $(PACKAGE).pot
	PATH=`pwd`/../src:$$PATH; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

intl2po: intl2po.c
	$(CC) $(INCLUDES) $(CFLAGS) $(srcdir)/intl2po.c -o intl2po
#	gcc $(srcdir)/intl2po.c -o intl2po

po2table: po2table.c
	$(CC) $(INCLUDES) $(CFLAGS) $(srcdir)/po2table.c -o po2table
#	gcc $(srcdir)/po2table.c -o po2table

gen_amiga_intl_c: po2table po2table.c gen_amiga_intl_c.c
	$(CC) $(INCLUDES) $(CFLAGS) $(srcdir)/gen_amiga_intl_c.c -o gen_amiga_intl_c
#	gcc $(srcdir)/gen_amiga_intl_c.c -o gen_amiga_intl_c

gen_translate_c: po2table po2table.c gen_translate_c.c
	$(CC) $(INCLUDES) $(CFLAGS) $(srcdir)/gen_translate_c.c -o gen_translate_c
#	gcc $(srcdir)/gen_translate_c.c -o gen_translate_c

gen_win32_rc: po2table po2table.c gen_win32_rc.c
	$(CC) $(INCLUDES) $(CFLAGS) $(srcdir)/gen_win32_rc.c -o gen_win32_rc
#	gcc $(srcdir)/gen_win32_rc.c -o gen_win32_rc

po_table.h: da.po de.po es.po fr.po hu.po it.po ko.po nl.po pl.po ru.po sv.po tr.po po2table
	./po2table

trans-update:
	( if test 'x$(srcdir)' != 'x.'; then echo "make trans-update can only be done from the source tree"; exit; fi )
	$(MAKE) update-po
	rm -f sv_iso.po
	iconv -f UTF-8 -t ISO-8859-1 <sv.po >sv_iso.po
	rm -f nl_iso.po
	iconv -f UTF-8 -t ISO-8859-1 <nl.po >nl_iso.po
	rm -f pl_iso.po
	iconv -f UTF-8 -t ISO-8859-2 <pl.po >pl_iso.po
	rm -f po_table.h
	$(MAKE) po_table.h
	$(MAKE) gen_translate_c
	./gen_translate_c 
	rm -f ../src/translate_text.c
	mv ../src/temp_translate.h ../src/translate_text.c
	$(MAKE) gen_amiga_intl_c
	./gen_amiga_intl_c
	rm -f ../src/arch/amigaos/intl_text.c
	mv ../src/arch/amigaos/temp_intl.h ../src/arch/amigaos/intl_text.c
	$(MAKE) gen_win32_rc
	./gen_win32_files.sh $(POTFILES)
	( if test 'x0' = 'x1'; then cat >tmp_trans.txt ../src/translate.txt ../src/arch/amigaos/intl.txt; ./check_obsolete.sh $(POTFILES) <tmp_trans.txt; rm -f tmp_trans.txt; fi )

POTFILES: POTFILES.in intl2po
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' -e '/^[ 	]*$$/d' \
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in \
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
